> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Approve Rtbf Request

> Approve a RTBF request and advance its state to 'approved'.

Only requests in 'received' or 'verifying' state may be approved.



## OpenAPI

````yaml /openapi.json post /v1/governance/rtbf/requests/{request_id}/approve
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/governance/rtbf/requests/{request_id}/approve:
    post:
      tags:
        - gdpr
      summary: Approve Rtbf Request
      description: |-
        Approve a RTBF request and advance its state to 'approved'.

        Only requests in 'received' or 'verifying' state may be approved.
      operationId: >-
        approve_rtbf_request_v1_governance_rtbf_requests__request_id__approve_post
      parameters:
        - in: path
          name: request_id
          required: true
          schema:
            title: Request Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: true
                title: >-
                  Response Approve Rtbf Request V1 Governance Rtbf Requests 
                  Request Id  Approve Post
                type: object
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````